import React from 'react'
import BarcodeComponent from '../../CommonComponent/BarcodeComponent/BarcodeComponent'
require('./index.css')
class BreakageCode extends React.Component{
    constructor(props){
         super(props)
    }

    render(){
       return (
           <div className={'breakageContent'} style={{width:'100%',height:'100%',background:'rgba(0,0,0,1)'}}>
                <div className={"breakageCodeHeader font32  colfff "}>
                    <i className={"iconfont middle icon font50 icon-circle-left circleIcon fl"} onClick={this.changeSanCodePage.bind(this)} />
                    <span className={"font40"} style={{marginLeft:'1rem'}}>请输入遗留商品的条形码</span>
                    <span className={'font30'}>条形码残缺?</span>
                </div>
                <BarcodeComponent getBarCodeProductInfo={this.props.getBarCodeProductInfo}
                                  changePage={this.props.changePage}
                                  breakageProductInfo={this.props.breakageProductInfo}
                 />
           </div>
       )
    }
    //控制显示扫码
    changeSanCodePage(){
        this.props.changeSanCodePage('SanCode')
    }
}
export default BreakageCode;